;*******************(C) COPYRIGHT 2019 GRAND-LOTUS ***********************
;* File Name          : INT0_INIT.INC
;* Author             : GRAND LOTUS
;* Version            : V1.00
;* Date               : 2019/07/01
;*************************************************************************
;*************************************************************************
;
;INT0初始化
;
;*************************************************************************	
;//******************************************************************************************
;/////////////////////////////////中断模式选择///////////////////////////////////////////////
;//******************************************************************************************
;//MINT0[1:0] INT0 中断模式选择
;//00 上升沿中断
;//01 下降沿中断
;//1X 变化中断
#define				MINT2_UP				b'00110000'       ;上升沿中断
#define				MINT2_DOWN				b'00110001'       ;下降沿中断
#define				MINT2_CHANGE			b'00110010'       ;变化中断

;//******************************************************************************************
;=========================================INT0初始化=========================================
;//******************************************************************************************
INT0_Interrupt_INIT: 
;//1、端口设置 
		BSET     PUA,3		;//INT0端口设置为上拉
		BCLR	 OEA,3		;//INT0端口设置为输入
;//2、中断模式选择		
		MOVIA     MINT2_DOWN
		MOVAR     OPTION 
;//3、中断使能
		BSET	  INTCR1,INT0IE	  ;//INT1中断使能
		BCLR	  INTF1,INT0IF
;//4、总中断使能 	
		BSET	  OPTION,GIE      ;//总中断使能
        RETURN
		
;*********************************END OF FILE******************************
