;*******************(C) COPYRIGHT 2019 GRAND-LOTUS *************************
;* Project Name       : QT8S724 INT1 Demo
;* File Name          : QT8S724_INT1.ASM
;* Author             : GRAND LOTUS
;* Version            : V1.00
;* Date               : 2019/07/01
;***************************************************************************
;
;Option: 16M/16T, WDT-Enable-288ms, BOR 2.4V, 
;
;***************************************************************************
      LIST P=QT8S724                       
#INCLUDE QT8S724.INC

;******************************************************************************
;========================C O D E===============================================
;******************************************************************************		
		ORG			0000H
		GOTO		MainProgram
		ORG			0008H
		;//GOTO		Interrupt	
			
;******************************************************************************
;========================中断处理程序==========================================
;======================注:没有使能的中断不要判断中断标志位=====================
;******************************************************************************			
Interrupt:
;//中断进来
		PUSH						;//压栈、保存A、STATUS
;//中断处理程序
		JBTS0      INTF1,INT1IF 			;//检测INT0标志位         
		GOTO       INT1_Interrupt
		
Interrupt_End:		
;//中断结束		
		POP		 					;//出栈、恢复A、STATUS
		RETIE	

;//INT1中断		
INT1_Interrupt:
		BCLR		INTF1,INT1IF			;//清零INT0标志位
		;//下面加中断中需要的操作
		NOP	
		GOTO        Interrupt_End
 
		
;******************************************************************************
;==============================主程序==========================================
;******************************************************************************
MainProgram:   
		CALL       SYSTEM_INIT			;//系统初始化
		CALL       Clr_RAM_00H_3FH		;//清零RAM
		CALL       INT1_INTERRTUPT		;//INT1中断初始化
Main_Loop:      
		NOP                
		CLRWDT							;//清看门狗
		GOTO       Main_Loop

;******************************************************************************
;================================系统初始化====================================
;******************************************************************************

#INCLUDE	SYSTEM_INIT.INC				;//系统初始化
#INCLUDE	INT1_INIT.INC				;//INT1初始化

	END
;*********************************END OF FILE**********************************
