;*******************(C) COPYRIGHT 2019 GRAND-LOTUS ************************
;* Project 			  : QT8S724_TIMER0 Demo
;* File Name          : QT8S724_TIMER0.ASM
;* Author             : GRAND LOTUS
;* Version            : V1.00
;* Date               : 2019/07/01
;**************************************************************************
;
;Option:16M/4T,WDT-Enable-288ms,BOR 2.4V
;
;**************************************************************************
			
			LIST		P=QT8S724
#INCLUDE 	QT8S724.INC
;============================RAM===========================================
				udata      0X00  
Flag					RES   1					;//定义变量
#define 	B_TC0_Flag              Flag,0              ;//定义标志位
;**************************************************************************
;========================C O D E===========================================
;**************************************************************************			
			ORG			0000H
			GOTO		MainProgram
			ORG			0008H
			;//GOTO		Interrupt	
;**************************************************************************
;========================中断处理程序======================================
;================注:没有使能的中断不要判断中断标志位=======================
;**************************************************************************
Interrupt:
			PUSH							;//压栈，保存A,STATUS
;//中断处理程序			
			JBTS1		INTCR0,TC0IF   			;//后判断中断标志位
			GOTO		Interrupt_End
			BCLR		INTF0,TC0IF
			BSET        B_TC0_Flag  		;//设置定时器标志
			
Interrupt_End:
			POP								;//出栈，恢复A,STATUS
			RETIE						
;**************************************************************************
;===========================主函数=========================================
;**************************************************************************
MainProgram:
			CALL		System_Init			;//系统初始化
			CALL		Clr_RAM_00H_3FH	    ;//清零RAM
			CALL		TC0_Init			;//TC0初始化
MainLoop:	
			JBTS1		B_TC0_Flag
			GOTO		$-1
			COMR		IOA	,R
			BCLR		B_TC0_Flag
			CLRWDT							;//清看门狗
			GOTO		MainLoop
			
			
			
			
				
;**************************************************************************
;========================系统初始化========================================
;**************************************************************************
#INCLUDE	System_Init.INC				   ;//系统初始化
#INCLUDE	TC0_INIT.INC				   ;//定时器定时1ms

			END
;*********************************END OF FILE****************************** 
