;*******************(C) COPYRIGHT 2019 GRAND-LOTUS *************************
;* Project Name       : QT8S724 WDT Demo
;* File Name          : QT8S724_WDT.ASM
;* Author             : GRAND LOTUS
;* Version            : V1.00
;* Date               : 2019/07/01
;***************************************************************************
;
;Option: 16M/16T, WDT-Enable-288ms,  BOR 2.4V, 
;
;***************************************************************************
		LIST 		P=QT8S724			;define mcu type
#INCLUDE	 	QT8S724.INC
		
;**************************************************************************
;========================C O D E===========================================
;**************************************************************************			
		ORG			0000H
		GOTO		MainProgram
		ORG			0008H
		;//GOTO		Interrupt	
			
;**************************************************************************
;========================中断处理程序======================================
;======================注:没有使能的中断不要判断中断标志位=================
;**************************************************************************
Interrupt:
		PUSH				;//压栈,保存A,STATUS
;//中断处理程序
		NOP
Interrupt_End:
		POP					;//出栈，恢复A,STATUS
		RETIE						
;**************************************************************************
;======================主函数==============================================
;**************************************************************************			
MainProgram:
		CALL       SYSTEM_INIT         ;//系统初始化
		CALL	   Clr_RAM_00H_3FH   ;//清零RAM
MainLoop:
		NOP
		NOP
		NOP
		BSET		OPTION,STOP          ;//进入休眠模式
		COMR		IOA,R
		NOP
		GOTO		Mainloop	
		 
;**************************************************************************
;====================系统初始化函数========================================
;**************************************************************************	
#INCLUDE	SYSTEM_INIT.INC

	END
;*********************************END OF FILE******************************  
